// Code generated by prismic-ts-codegen. DO NOT EDIT.

import type * as prismic from "@prismicio/client"

type Simplify<T> = { [KeyType in keyof T]: T[KeyType] }

type AboutPageDocumentDataBodySlice = never

/**
 * Content for About Page documents
 */
interface AboutPageDocumentData {
  /**
   * main text field in *About Page*
   *
   * - **Field Type**: Rich Text
   * - **Placeholder**: *None*
   * - **API ID Path**: about_page.main_text
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  main_text: prismic.RichTextField

  /**
   * Slice zone field in *About Page*
   *
   * - **Field Type**: Slice Zone
   * - **Placeholder**: *None*
   * - **API ID Path**: about_page.body[]
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#slices
   */
  body: prismic.SliceZone<AboutPageDocumentDataBodySlice>
}

/**
 * About Page document from Prismic
 *
 * - **API ID**: `about_page`
 * - **Repeatable**: `false`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type AboutPageDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithUID<
    Simplify<AboutPageDocumentData>,
    "about_page",
    Lang
  >

/**
 * Primary content in *Advisory Board → Slice zone → Advisory Board Member Section → Primary*
 */
export interface AdvisoryBoardDocumentDataBodyAdvisoryBoardMemberSlicePrimary {
  /**
   * intro field in *Advisory Board → Slice zone → Advisory Board Member Section → Primary*
   *
   * - **Field Type**: Rich Text
   * - **Placeholder**: Introduction to following advisory board members
   * - **API ID Path**: advisory_board.body[].advisory_board_member.primary.intro
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  intro: prismic.RichTextField
}

/**
 * Item content in *Advisory Board → Slice zone → Advisory Board Member Section → Items*
 */
export interface AdvisoryBoardDocumentDataBodyAdvisoryBoardMemberSliceItem {
  /**
   * advisory_board_member field in *Advisory Board → Slice zone → Advisory Board Member Section → Items*
   *
   * - **Field Type**: Link
   * - **Placeholder**: *None*
   * - **API ID Path**: advisory_board.body[].advisory_board_member.items.advisory_board_member
   * - **Documentation**: https://prismic.io/docs/field#link-content-relationship
   */
  advisory_board_member: prismic.LinkField
}

/**
 * Slice for *Advisory Board → Slice zone*
 */
export type AdvisoryBoardDocumentDataBodyAdvisoryBoardMemberSlice =
  prismic.Slice<
    "advisory_board_member",
    Simplify<AdvisoryBoardDocumentDataBodyAdvisoryBoardMemberSlicePrimary>,
    Simplify<AdvisoryBoardDocumentDataBodyAdvisoryBoardMemberSliceItem>
  >

type AdvisoryBoardDocumentDataBodySlice =
  AdvisoryBoardDocumentDataBodyAdvisoryBoardMemberSlice

/**
 * Content for Advisory Board documents
 */
interface AdvisoryBoardDocumentData {
  /**
   * Slice zone field in *Advisory Board*
   *
   * - **Field Type**: Slice Zone
   * - **Placeholder**: *None*
   * - **API ID Path**: advisory_board.body[]
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#slices
   */
  body: prismic.SliceZone<AdvisoryBoardDocumentDataBodySlice>
}

/**
 * Advisory Board document from Prismic
 *
 * - **API ID**: `advisory_board`
 * - **Repeatable**: `false`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type AdvisoryBoardDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithUID<
    Simplify<AdvisoryBoardDocumentData>,
    "advisory_board",
    Lang
  >

/**
 * Content for Advisory Board Member documents
 */
interface AdvisoryBoardMemberDocumentData {
  /**
   * Name field in *Advisory Board Member*
   *
   * - **Field Type**: Text
   * - **Placeholder**: John Doe
   * - **API ID Path**: advisory_board_member.name
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#key-text
   */
  name: prismic.KeyTextField

  /**
   * Name Link field in *Advisory Board Member*
   *
   * - **Field Type**: Link
   * - **Placeholder**: Link that will be the HREF in the name
   * - **API ID Path**: advisory_board_member.name_link
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#link-content-relationship
   */
  name_link: prismic.LinkField

  /**
   * bio field in *Advisory Board Member*
   *
   * - **Field Type**: Rich Text
   * - **Placeholder**: John Doe does XYZ
   * - **API ID Path**: advisory_board_member.bio
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  bio: prismic.RichTextField
}

/**
 * Advisory Board Member document from Prismic
 *
 * - **API ID**: `advisory_board_member`
 * - **Repeatable**: `false`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type AdvisoryBoardMemberDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithoutUID<
    Simplify<AdvisoryBoardMemberDocumentData>,
    "advisory_board_member",
    Lang
  >

/**
 * Item in *Bibliography → sections*
 */
export interface BibliographyDocumentDataSectionsItem {
  /**
   * section field in *Bibliography → sections*
   *
   * - **Field Type**: Content Relationship
   * - **Placeholder**: *None*
   * - **API ID Path**: bibliography.sections[].section
   * - **Documentation**: https://prismic.io/docs/field#link-content-relationship
   */
  section: prismic.ContentRelationshipField<"bibliography_section">
}

type BibliographyDocumentDataBodySlice = never

/**
 * Content for Bibliography documents
 */
interface BibliographyDocumentData {
  /**
   * Title field in *Bibliography*
   *
   * - **Field Type**: Text
   * - **Placeholder**: *None*
   * - **API ID Path**: bibliography.title
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#key-text
   */
  title: prismic.KeyTextField

  /**
   * Main text field in *Bibliography*
   *
   * - **Field Type**: Rich Text
   * - **Placeholder**: *None*
   * - **API ID Path**: bibliography.main_text
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  main_text: prismic.RichTextField

  /**
   * sections field in *Bibliography*
   *
   * - **Field Type**: Group
   * - **Placeholder**: *None*
   * - **API ID Path**: bibliography.sections[]
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#group
   */
  sections: prismic.GroupField<Simplify<BibliographyDocumentDataSectionsItem>>

  /**
   * Slice zone field in *Bibliography*
   *
   * - **Field Type**: Slice Zone
   * - **Placeholder**: *None*
   * - **API ID Path**: bibliography.body[]
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#slices
   */
  body: prismic.SliceZone<BibliographyDocumentDataBodySlice>
}

/**
 * Bibliography document from Prismic
 *
 * - **API ID**: `bibliography`
 * - **Repeatable**: `false`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type BibliographyDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithoutUID<
    Simplify<BibliographyDocumentData>,
    "bibliography",
    Lang
  >

/**
 * Content for Bibliography Item documents
 */
interface BibliographyItemDocumentData {
  /**
   * display_text field in *Bibliography Item*
   *
   * - **Field Type**: Rich Text
   * - **Placeholder**: *None*
   * - **API ID Path**: bibliography_item.display_text
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  display_text: prismic.RichTextField
}

/**
 * Bibliography Item document from Prismic
 *
 * - **API ID**: `bibliography_item`
 * - **Repeatable**: `true`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type BibliographyItemDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithoutUID<
    Simplify<BibliographyItemDocumentData>,
    "bibliography_item",
    Lang
  >

/**
 * Item in *Bibliography Section → items*
 */
export interface BibliographySectionDocumentDataItemsItem {
  /**
   * item field in *Bibliography Section → items*
   *
   * - **Field Type**: Content Relationship
   * - **Placeholder**: *None*
   * - **API ID Path**: bibliography_section.items[].item
   * - **Documentation**: https://prismic.io/docs/field#link-content-relationship
   */
  item: prismic.ContentRelationshipField<"bibliography_item">
}

/**
 * Content for Bibliography Section documents
 */
interface BibliographySectionDocumentData {
  /**
   * Title field in *Bibliography Section*
   *
   * - **Field Type**: Text
   * - **Placeholder**: *None*
   * - **API ID Path**: bibliography_section.title
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#key-text
   */
  title: prismic.KeyTextField

  /**
   * intro_text field in *Bibliography Section*
   *
   * - **Field Type**: Text
   * - **Placeholder**: *None*
   * - **API ID Path**: bibliography_section.intro_text
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#key-text
   */
  intro_text: prismic.KeyTextField

  /**
   * items field in *Bibliography Section*
   *
   * - **Field Type**: Group
   * - **Placeholder**: *None*
   * - **API ID Path**: bibliography_section.items[]
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#group
   */
  items: prismic.GroupField<Simplify<BibliographySectionDocumentDataItemsItem>>
}

/**
 * Bibliography Section document from Prismic
 *
 * - **API ID**: `bibliography_section`
 * - **Repeatable**: `true`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type BibliographySectionDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithoutUID<
    Simplify<BibliographySectionDocumentData>,
    "bibliography_section",
    Lang
  >

/**
 * Item in *Blog Post → authors*
 */
export interface BlogPostDocumentDataAuthorsItem {
  /**
   * team_profile field in *Blog Post → authors*
   *
   * - **Field Type**: Content Relationship
   * - **Placeholder**: *None*
   * - **API ID Path**: blog_post.authors[].team_profile
   * - **Documentation**: https://prismic.io/docs/field#link-content-relationship
   */
  team_profile: prismic.ContentRelationshipField<"team_profile">
}

/**
 * Item in *Blog Post → tags*
 */
export interface BlogPostDocumentDataTagsItem {
  /**
   * tag field in *Blog Post → tags*
   *
   * - **Field Type**: Text
   * - **Placeholder**: *None*
   * - **API ID Path**: blog_post.tags[].tag
   * - **Documentation**: https://prismic.io/docs/field#key-text
   */
  tag: prismic.KeyTextField
}

/**
 * Content for Blog Post documents
 */
interface BlogPostDocumentData {
  /**
   * date field in *Blog Post*
   *
   * - **Field Type**: Date
   * - **Placeholder**: *None*
   * - **API ID Path**: blog_post.date
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#date
   */
  date: prismic.DateField

  /**
   * title field in *Blog Post*
   *
   * - **Field Type**: Title
   * - **Placeholder**: Title (required)
   * - **API ID Path**: blog_post.title
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  title: prismic.TitleField

  /**
   * subtitle field in *Blog Post*
   *
   * - **Field Type**: Title
   * - **Placeholder**: Subtitle (optional)
   * - **API ID Path**: blog_post.subtitle
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  subtitle: prismic.TitleField

  /**
   * preview text field in *Blog Post*
   *
   * - **Field Type**: Rich Text
   * - **Placeholder**: Preview snippet to be used where more info than a subtitle is needed, but not required. (optional)
   * - **API ID Path**: blog_post.preview_text
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  preview_text: prismic.RichTextField

  /**
   * external link field in *Blog Post*
   *
   * - **Field Type**: Link
   * - **Placeholder**: (optional) The link to the external blog post. If present, this blog page will redirect to this link.
   * - **API ID Path**: blog_post.external_link
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#link-content-relationship
   */
  external_link: prismic.LinkField

  /**
   * authors field in *Blog Post*
   *
   * - **Field Type**: Group
   * - **Placeholder**: *None*
   * - **API ID Path**: blog_post.authors[]
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#group
   */
  authors: prismic.GroupField<Simplify<BlogPostDocumentDataAuthorsItem>>

  /**
   * tags field in *Blog Post*
   *
   * - **Field Type**: Group
   * - **Placeholder**: *None*
   * - **API ID Path**: blog_post.tags[]
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#group
   */
  tags: prismic.GroupField<Simplify<BlogPostDocumentDataTagsItem>>

  /**
   * cover image field in *Blog Post*
   *
   * - **Field Type**: Image
   * - **Placeholder**: *None*
   * - **API ID Path**: blog_post.cover_image
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#image
   */
  cover_image: prismic.ImageField<never>

  /**
   * content field in *Blog Post*
   *
   * - **Field Type**: Rich Text
   * - **Placeholder**: The main content of the post. Can contain text, images, links, and other content.
   * - **API ID Path**: blog_post.content
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  content: prismic.RichTextField
}

/**
 * Blog Post document from Prismic
 *
 * - **API ID**: `blog_post`
 * - **Repeatable**: `true`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type BlogPostDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithUID<
    Simplify<BlogPostDocumentData>,
    "blog_post",
    Lang
  >

/**
 * Primary content in *Home Page → Slice zone → Hero Section → Primary*
 */
export interface HomePageDocumentDataBodyHeroSectionSlicePrimary {
  /**
   * title field in *Home Page → Slice zone → Hero Section → Primary*
   *
   * - **Field Type**: Title
   * - **Placeholder**: The main title of the section.
   * - **API ID Path**: home_page.body[].hero_section.primary.title
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  title: prismic.TitleField

  /**
   * text field in *Home Page → Slice zone → Hero Section → Primary*
   *
   * - **Field Type**: Rich Text
   * - **Placeholder**: The main text content of the section. Will appear below the title.
   * - **API ID Path**: home_page.body[].hero_section.primary.text
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  text: prismic.RichTextField

  /**
   * CTA link field in *Home Page → Slice zone → Hero Section → Primary*
   *
   * - **Field Type**: Link
   * - **Placeholder**: (optional)
   * - **API ID Path**: home_page.body[].hero_section.primary.cta_link
   * - **Documentation**: https://prismic.io/docs/field#link-content-relationship
   */
  cta_link: prismic.LinkField

  /**
   * image field in *Home Page → Slice zone → Hero Section → Primary*
   *
   * - **Field Type**: Image
   * - **Placeholder**: *None*
   * - **API ID Path**: home_page.body[].hero_section.primary.image
   * - **Documentation**: https://prismic.io/docs/field#image
   */
  image: prismic.ImageField<never>
}

/**
 * Slice for *Home Page → Slice zone*
 */
export type HomePageDocumentDataBodyHeroSectionSlice = prismic.Slice<
  "hero_section",
  Simplify<HomePageDocumentDataBodyHeroSectionSlicePrimary>,
  never
>

/**
 * Primary content in *Home Page → Slice zone → Simple Rich Text Content → Primary*
 */
export interface HomePageDocumentDataBodyRichTextContentSlicePrimary {
  /**
   * content field in *Home Page → Slice zone → Simple Rich Text Content → Primary*
   *
   * - **Field Type**: Rich Text
   * - **Placeholder**: *None*
   * - **API ID Path**: home_page.body[].rich_text_content.primary.content
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  content: prismic.RichTextField
}

/**
 * Slice for *Home Page → Slice zone*
 */
export type HomePageDocumentDataBodyRichTextContentSlice = prismic.Slice<
  "rich_text_content",
  Simplify<HomePageDocumentDataBodyRichTextContentSlicePrimary>,
  never
>

/**
 * Item content in *Home Page → Slice zone → Icons Section → Items*
 */
export interface HomePageDocumentDataBodyIconsSectionSliceItem {
  /**
   * icon field in *Home Page → Slice zone → Icons Section → Items*
   *
   * - **Field Type**: Image
   * - **Placeholder**: *None*
   * - **API ID Path**: home_page.body[].icons_section.items.icon
   * - **Documentation**: https://prismic.io/docs/field#image
   */
  icon: prismic.ImageField<never>

  /**
   * copy field in *Home Page → Slice zone → Icons Section → Items*
   *
   * - **Field Type**: Rich Text
   * - **Placeholder**: *None*
   * - **API ID Path**: home_page.body[].icons_section.items.copy
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  copy: prismic.RichTextField
}

/**
 * Slice for *Home Page → Slice zone*
 */
export type HomePageDocumentDataBodyIconsSectionSlice = prismic.Slice<
  "icons_section",
  Record<string, never>,
  Simplify<HomePageDocumentDataBodyIconsSectionSliceItem>
>

type HomePageDocumentDataBodySlice =
  | HomePageDocumentDataBodyHeroSectionSlice
  | HomePageDocumentDataBodyRichTextContentSlice
  | HomePageDocumentDataBodyIconsSectionSlice

/**
 * Content for Home Page documents
 */
interface HomePageDocumentData {
  /**
   * hero banner title field in *Home Page*
   *
   * - **Field Type**: Title
   * - **Placeholder**: The main title of the hero banner
   * - **API ID Path**: home_page.hero_banner_title
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  hero_banner_title: prismic.TitleField

  /**
   * hero_banner_text field in *Home Page*
   *
   * - **Field Type**: Rich Text
   * - **Placeholder**: The main content text under the title in the hero banner.
   * - **API ID Path**: home_page.hero_banner_text
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  hero_banner_text: prismic.RichTextField

  /**
   * hero_banner_image field in *Home Page*
   *
   * - **Field Type**: Image
   * - **Placeholder**: *None*
   * - **API ID Path**: home_page.hero_banner_image
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#image
   */
  hero_banner_image: prismic.ImageField<never>

  /**
   * Slice zone field in *Home Page*
   *
   * - **Field Type**: Slice Zone
   * - **Placeholder**: *None*
   * - **API ID Path**: home_page.body[]
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#slices
   */
  body: prismic.SliceZone<HomePageDocumentDataBodySlice>
}

/**
 * Home Page document from Prismic
 *
 * - **API ID**: `home_page`
 * - **Repeatable**: `false`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type HomePageDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithUID<
    Simplify<HomePageDocumentData>,
    "home_page",
    Lang
  >

/**
 * Content for Icon Text documents
 */
interface IconTextDocumentData {
  /**
   * icon field in *Icon Text*
   *
   * - **Field Type**: Image
   * - **Placeholder**: *None*
   * - **API ID Path**: icon_text.icon
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#image
   */
  icon: prismic.ImageField<never>

  /**
   * copy field in *Icon Text*
   *
   * - **Field Type**: Rich Text
   * - **Placeholder**: *None*
   * - **API ID Path**: icon_text.copy
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  copy: prismic.RichTextField
}

/**
 * Icon Text document from Prismic
 *
 * - **API ID**: `icon_text`
 * - **Repeatable**: `true`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type IconTextDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithoutUID<
    Simplify<IconTextDocumentData>,
    "icon_text",
    Lang
  >

/**
 * Content for Open Position documents
 */
interface OpenPositionDocumentData {
  /**
   * title field in *Open Position*
   *
   * - **Field Type**: Title
   * - **Placeholder**: The main title/display title of the open position.
   * - **API ID Path**: open_position.title
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  title: prismic.TitleField

  /**
   * application link field in *Open Position*
   *
   * - **Field Type**: Link
   * - **Placeholder**: The link to the official UL career/recruiting opening.
   * - **API ID Path**: open_position.application_link
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#link-content-relationship
   */
  application_link: prismic.LinkField

  /**
   * weight field in *Open Position*
   *
   * - **Field Type**: Number
   * - **Placeholder**: Sort weight for this entry. A higher number is a higher "priority" and will be shown before others items with lower weights.
   * - **API ID Path**: open_position.weight
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#number
   */
  weight: prismic.NumberField

  /**
   * description field in *Open Position*
   *
   * - **Field Type**: Rich Text
   * - **Placeholder**: The position's description. Consider how formatted text will appear on the destination site.
   * - **API ID Path**: open_position.description
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  description: prismic.RichTextField
}

/**
 * Open Position document from Prismic
 *
 * - **API ID**: `open_position`
 * - **Repeatable**: `true`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type OpenPositionDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithoutUID<
    Simplify<OpenPositionDocumentData>,
    "open_position",
    Lang
  >

/**
 * Item in *Safety alert → Tags*
 */
export interface SafetyAlertDocumentDataTagsItem {
  /**
   * Tag field in *Safety alert → Tags*
   *
   * - **Field Type**: Text
   * - **Placeholder**: An alert tag. Tags appear on the Footer
   * - **API ID Path**: safety_alert.tags[].tag
   * - **Documentation**: https://prismic.io/docs/field#key-text
   */
  tag: prismic.KeyTextField
}

/**
 * Item in *Safety alert → Steps*
 */
export interface SafetyAlertDocumentDataStepsItem {
  /**
   * Step field in *Safety alert → Steps*
   *
   * - **Field Type**: Rich Text
   * - **Placeholder**: Step or tip to overcome this safety alert
   * - **API ID Path**: safety_alert.steps[].step
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  step: prismic.RichTextField
}

/**
 * Content for Safety alert documents
 */
interface SafetyAlertDocumentData {
  /**
   * Author name field in *Safety alert*
   *
   * - **Field Type**: Text
   * - **Placeholder**: The name of the author of this alert
   * - **API ID Path**: safety_alert.author_name
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#key-text
   */
  author_name: prismic.KeyTextField

  /**
   * Author link field in *Safety alert*
   *
   * - **Field Type**: Link
   * - **Placeholder**: Source link of where this alert comes from
   * - **API ID Path**: safety_alert.author_link
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#link-content-relationship
   */
  author_link: prismic.LinkField

  /**
   * Tags field in *Safety alert*
   *
   * - **Field Type**: Group
   * - **Placeholder**: *None*
   * - **API ID Path**: safety_alert.tags[]
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#group
   */
  tags: prismic.GroupField<Simplify<SafetyAlertDocumentDataTagsItem>>

  /**
   * Media field in *Safety alert*
   *
   * - **Field Type**: Image
   * - **Placeholder**: *None*
   * - **API ID Path**: safety_alert.media
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#image
   */
  media: prismic.ImageField<never>

  /**
   * text field in *Safety alert*
   *
   * - **Field Type**: Rich Text
   * - **Placeholder**: Threat description
   * - **API ID Path**: safety_alert.text
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  text: prismic.RichTextField

  /**
   * Steps title field in *Safety alert*
   *
   * - **Field Type**: Text
   * - **Placeholder**: The title of the steps section eg: "To stay safe, follow these tips"
   * - **API ID Path**: safety_alert.steps_title
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#key-text
   */
  steps_title: prismic.KeyTextField

  /**
   * Steps field in *Safety alert*
   *
   * - **Field Type**: Group
   * - **Placeholder**: *None*
   * - **API ID Path**: safety_alert.steps[]
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#group
   */
  steps: prismic.GroupField<Simplify<SafetyAlertDocumentDataStepsItem>>
}

/**
 * Safety alert document from Prismic
 *
 * - **API ID**: `safety_alert`
 * - **Repeatable**: `true`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type SafetyAlertDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithUID<
    Simplify<SafetyAlertDocumentData>,
    "safety_alert",
    Lang
  >

/**
 * Content for Safety Alert Author documents
 */
interface SafetyAlertAuthorDocumentData {
  /**
   * name field in *Safety Alert Author*
   *
   * - **Field Type**: Text
   * - **Placeholder**: Author's name
   * - **API ID Path**: safety_alert_author.name
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#key-text
   */
  name: prismic.KeyTextField

  /**
   * link field in *Safety Alert Author*
   *
   * - **Field Type**: Link
   * - **Placeholder**: Author link
   * - **API ID Path**: safety_alert_author.link
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#link-content-relationship
   */
  link: prismic.LinkField
}

/**
 * Safety Alert Author document from Prismic
 *
 * - **API ID**: `safety_alert_author`
 * - **Repeatable**: `true`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type SafetyAlertAuthorDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithoutUID<
    Simplify<SafetyAlertAuthorDocumentData>,
    "safety_alert_author",
    Lang
  >

/**
 * Content for Safety Alert Footer documents
 */
interface SafetyAlertFooterDocumentData {
  /**
   * Safety Alert ID field in *Safety Alert Footer*
   *
   * - **Field Type**: Text
   * - **Placeholder**: *None*
   * - **API ID Path**: safety_alert_footer.safety_alert_id
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#key-text
   */
  safety_alert_id: prismic.KeyTextField
}

/**
 * Safety Alert Footer document from Prismic
 *
 * - **API ID**: `safety_alert_footer`
 * - **Repeatable**: `false`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type SafetyAlertFooterDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithoutUID<
    Simplify<SafetyAlertFooterDocumentData>,
    "safety_alert_footer",
    Lang
  >

/**
 * Content for Safety Alert Header documents
 */
interface SafetyAlertHeaderDocumentData {
  /**
   * Logo field in *Safety Alert Header*
   *
   * - **Field Type**: Image
   * - **Placeholder**: *None*
   * - **API ID Path**: safety_alert_header.logo
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#image
   */
  logo: prismic.ImageField<never>

  /**
   * Title field in *Safety Alert Header*
   *
   * - **Field Type**: Text
   * - **Placeholder**: *None*
   * - **API ID Path**: safety_alert_header.title
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#key-text
   */
  title: prismic.KeyTextField

  /**
   * Artwork field in *Safety Alert Header*
   *
   * - **Field Type**: Image
   * - **Placeholder**: *None*
   * - **API ID Path**: safety_alert_header.artwork
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#image
   */
  artwork: prismic.ImageField<never>
}

/**
 * Safety Alert Header document from Prismic
 *
 * - **API ID**: `safety_alert_header`
 * - **Repeatable**: `false`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type SafetyAlertHeaderDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithoutUID<
    Simplify<SafetyAlertHeaderDocumentData>,
    "safety_alert_header",
    Lang
  >

/**
 * Content for Safety Alert Step documents
 */
interface SafetyAlertStepDocumentData {
  /**
   * text field in *Safety Alert Step*
   *
   * - **Field Type**: Rich Text
   * - **Placeholder**: *None*
   * - **API ID Path**: safety_alert_step.text
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  text: prismic.RichTextField
}

/**
 * Safety Alert Step document from Prismic
 *
 * - **API ID**: `safety_alert_step`
 * - **Repeatable**: `true`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type SafetyAlertStepDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithoutUID<
    Simplify<SafetyAlertStepDocumentData>,
    "safety_alert_step",
    Lang
  >

/**
 * Item in *Safety Alerts page → Alerts*
 */
export interface SafetyAlertsPageDocumentDataAlertsItem {
  /**
   * Alert field in *Safety Alerts page → Alerts*
   *
   * - **Field Type**: Content Relationship
   * - **Placeholder**: *None*
   * - **API ID Path**: safety_alerts_page.alerts[].alert
   * - **Documentation**: https://prismic.io/docs/field#link-content-relationship
   */
  alert: prismic.ContentRelationshipField<"safety_alert">
}

/**
 * Content for Safety Alerts page documents
 */
interface SafetyAlertsPageDocumentData {
  /**
   * Alerts field in *Safety Alerts page*
   *
   * - **Field Type**: Group
   * - **Placeholder**: *None*
   * - **API ID Path**: safety_alerts_page.alerts[]
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#group
   */
  alerts: prismic.GroupField<Simplify<SafetyAlertsPageDocumentDataAlertsItem>>
}

/**
 * Safety Alerts page document from Prismic
 *
 * - **API ID**: `safety_alerts_page`
 * - **Repeatable**: `false`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type SafetyAlertsPageDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithoutUID<
    Simplify<SafetyAlertsPageDocumentData>,
    "safety_alerts_page",
    Lang
  >

/**
 * Primary content in *Team Page → Slice zone → Team Section → Primary*
 */
export interface TeamPageDocumentDataBodyTeamSectionSlicePrimary {
  /**
   * Team Section Title field in *Team Page → Slice zone → Team Section → Primary*
   *
   * - **Field Type**: Title
   * - **Placeholder**: (optional) Title to describe this team section, e.g. "Leadership", "Engineering"
   * - **API ID Path**: team_page.body[].team_section.primary.title
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  title: prismic.TitleField
}

/**
 * Item content in *Team Page → Slice zone → Team Section → Items*
 */
export interface TeamPageDocumentDataBodyTeamSectionSliceItem {
  /**
   * team_profile field in *Team Page → Slice zone → Team Section → Items*
   *
   * - **Field Type**: Content Relationship
   * - **Placeholder**: *None*
   * - **API ID Path**: team_page.body[].team_section.items.team_profile
   * - **Documentation**: https://prismic.io/docs/field#link-content-relationship
   */
  team_profile: prismic.ContentRelationshipField<"team_profile">
}

/**
 * Slice for *Team Page → Slice zone*
 */
export type TeamPageDocumentDataBodyTeamSectionSlice = prismic.Slice<
  "team_section",
  Simplify<TeamPageDocumentDataBodyTeamSectionSlicePrimary>,
  Simplify<TeamPageDocumentDataBodyTeamSectionSliceItem>
>

type TeamPageDocumentDataBodySlice = TeamPageDocumentDataBodyTeamSectionSlice

/**
 * Content for Team Page documents
 */
interface TeamPageDocumentData {
  /**
   * Slice zone field in *Team Page*
   *
   * - **Field Type**: Slice Zone
   * - **Placeholder**: *None*
   * - **API ID Path**: team_page.body[]
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#slices
   */
  body: prismic.SliceZone<TeamPageDocumentDataBodySlice>
}

/**
 * Team Page document from Prismic
 *
 * - **API ID**: `team_page`
 * - **Repeatable**: `false`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type TeamPageDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithUID<
    Simplify<TeamPageDocumentData>,
    "team_page",
    Lang
  >

/**
 * Content for Team Profile documents
 */
interface TeamProfileDocumentData {
  /**
   * Name field in *Team Profile*
   *
   * - **Field Type**: Text
   * - **Placeholder**: Person Doe
   * - **API ID Path**: team_profile.name
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#key-text
   */
  name: prismic.KeyTextField

  /**
   * title_info field in *Team Profile*
   *
   * - **Field Type**: Text
   * - **Placeholder**: Chief Chief Officer
   * - **API ID Path**: team_profile.title_info
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#key-text
   */
  title_info: prismic.KeyTextField

  /**
   * bio field in *Team Profile*
   *
   * - **Field Type**: Rich Text
   * - **Placeholder**: *None*
   * - **API ID Path**: team_profile.bio
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#rich-text-title
   */
  bio: prismic.RichTextField

  /**
   * profile picture field in *Team Profile*
   *
   * - **Field Type**: Image
   * - **Placeholder**: *None*
   * - **API ID Path**: team_profile.profile_picture
   * - **Tab**: Main
   * - **Documentation**: https://prismic.io/docs/field#image
   */
  profile_picture: prismic.ImageField<never>
}

/**
 * Team Profile document from Prismic
 *
 * - **API ID**: `team_profile`
 * - **Repeatable**: `true`
 * - **Documentation**: https://prismic.io/docs/custom-types
 *
 * @typeParam Lang - Language API ID of the document.
 */
export type TeamProfileDocument<Lang extends string = string> =
  prismic.PrismicDocumentWithoutUID<
    Simplify<TeamProfileDocumentData>,
    "team_profile",
    Lang
  >

export type AllDocumentTypes =
  | AboutPageDocument
  | AdvisoryBoardDocument
  | AdvisoryBoardMemberDocument
  | BibliographyDocument
  | BibliographyItemDocument
  | BibliographySectionDocument
  | BlogPostDocument
  | HomePageDocument
  | IconTextDocument
  | OpenPositionDocument
  | SafetyAlertDocument
  | SafetyAlertAuthorDocument
  | SafetyAlertFooterDocument
  | SafetyAlertHeaderDocument
  | SafetyAlertStepDocument
  | SafetyAlertsPageDocument
  | TeamPageDocument
  | TeamProfileDocument

declare module "@prismicio/client" {
  interface CreateClient {
    (
      repositoryNameOrEndpoint: string,
      options?: prismic.ClientConfig
    ): prismic.Client<AllDocumentTypes>
  }

  namespace Content {
    export type {
      AboutPageDocument,
      AboutPageDocumentData,
      AboutPageDocumentDataBodySlice,
      AdvisoryBoardDocument,
      AdvisoryBoardDocumentData,
      AdvisoryBoardDocumentDataBodyAdvisoryBoardMemberSlicePrimary,
      AdvisoryBoardDocumentDataBodyAdvisoryBoardMemberSliceItem,
      AdvisoryBoardDocumentDataBodySlice,
      AdvisoryBoardMemberDocument,
      AdvisoryBoardMemberDocumentData,
      BibliographyDocument,
      BibliographyDocumentData,
      BibliographyDocumentDataSectionsItem,
      BibliographyDocumentDataBodySlice,
      BibliographyItemDocument,
      BibliographyItemDocumentData,
      BibliographySectionDocument,
      BibliographySectionDocumentData,
      BibliographySectionDocumentDataItemsItem,
      BlogPostDocument,
      BlogPostDocumentData,
      BlogPostDocumentDataAuthorsItem,
      BlogPostDocumentDataTagsItem,
      HomePageDocument,
      HomePageDocumentData,
      HomePageDocumentDataBodyHeroSectionSlicePrimary,
      HomePageDocumentDataBodyRichTextContentSlicePrimary,
      HomePageDocumentDataBodyIconsSectionSliceItem,
      HomePageDocumentDataBodySlice,
      IconTextDocument,
      IconTextDocumentData,
      OpenPositionDocument,
      OpenPositionDocumentData,
      SafetyAlertDocument,
      SafetyAlertDocumentData,
      SafetyAlertDocumentDataTagsItem,
      SafetyAlertDocumentDataStepsItem,
      SafetyAlertAuthorDocument,
      SafetyAlertAuthorDocumentData,
      SafetyAlertFooterDocument,
      SafetyAlertFooterDocumentData,
      SafetyAlertHeaderDocument,
      SafetyAlertHeaderDocumentData,
      SafetyAlertStepDocument,
      SafetyAlertStepDocumentData,
      SafetyAlertsPageDocument,
      SafetyAlertsPageDocumentData,
      SafetyAlertsPageDocumentDataAlertsItem,
      TeamPageDocument,
      TeamPageDocumentData,
      TeamPageDocumentDataBodyTeamSectionSlicePrimary,
      TeamPageDocumentDataBodyTeamSectionSliceItem,
      TeamPageDocumentDataBodySlice,
      TeamProfileDocument,
      TeamProfileDocumentData,
      AllDocumentTypes,
    }
  }
}
